# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_DocEntryList Class Reference

`#include <MDocStd_DocEntryList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDocStd_DocEntryList ()
Standard_EXPORT void | Assign (const MDocStd_DocEntryList &Other)
void | operator= (const MDocStd_DocEntryList &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~MDocStd_DocEntryList ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TCollection_AsciiString &I)
Standard_EXPORT void | Prepend (const TCollection_AsciiString &I, MDocStd_ListIteratorOfDocEntryList &theIt)
Standard_EXPORT void | Prepend (MDocStd_DocEntryList &Other)
Standard_EXPORT void | Append (const TCollection_AsciiString &I)
Standard_EXPORT void | Append (const TCollection_AsciiString &I, MDocStd_ListIteratorOfDocEntryList &theIt)
Standard_EXPORT void | Append (MDocStd_DocEntryList &Other)
Standard_EXPORT TCollection_AsciiString & | First () const
Standard_EXPORT TCollection_AsciiString & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (MDocStd_ListIteratorOfDocEntryList &It)
Standard_EXPORT void | InsertBefore (const TCollection_AsciiString &I, MDocStd_ListIteratorOfDocEntryList &It)
Standard_EXPORT void | InsertBefore (MDocStd_DocEntryList &Other, MDocStd_ListIteratorOfDocEntryList &It)
Standard_EXPORT void | InsertAfter (const TCollection_AsciiString &I, MDocStd_ListIteratorOfDocEntryList &It)
Standard_EXPORT void | InsertAfter (MDocStd_DocEntryList &Other, MDocStd_ListIteratorOfDocEntryList &It)

## Private Member Functions

Standard_EXPORT | MDocStd_DocEntryList (const MDocStd_DocEntryList &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_DocEntryList::MDocStd_DocEntryList | ( |  | ) |

MDocStd_DocEntryList::~MDocStd_DocEntryList | ( |  | ) | `[inline]`

Standard_EXPORT MDocStd_DocEntryList::MDocStd_DocEntryList | ( | const MDocStd_DocEntryList & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void MDocStd_DocEntryList::Append | ( | MDocStd_DocEntryList & | Other | ) |

Standard_EXPORT void MDocStd_DocEntryList::Append | ( | const TCollection_AsciiString & | I,
|  | MDocStd_ListIteratorOfDocEntryList & | theIt
| ) |

Standard_EXPORT void MDocStd_DocEntryList::Append | ( | const TCollection_AsciiString & | I | ) |

Standard_EXPORT void MDocStd_DocEntryList::Assign | ( | const MDocStd_DocEntryList & | Other | ) |

Standard_EXPORT void MDocStd_DocEntryList::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer MDocStd_DocEntryList::Extent | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString& MDocStd_DocEntryList::First | ( |  | ) | const

Standard_EXPORT void MDocStd_DocEntryList::InsertAfter | ( | MDocStd_DocEntryList & | Other,
|  | MDocStd_ListIteratorOfDocEntryList & | It
| ) |

Standard_EXPORT void MDocStd_DocEntryList::InsertAfter | ( | const TCollection_AsciiString & | I,
|  | MDocStd_ListIteratorOfDocEntryList & | It
| ) |

Standard_EXPORT void MDocStd_DocEntryList::InsertBefore | ( | MDocStd_DocEntryList & | Other,
|  | MDocStd_ListIteratorOfDocEntryList & | It
| ) |

Standard_EXPORT void MDocStd_DocEntryList::InsertBefore | ( | const TCollection_AsciiString & | I,
|  | MDocStd_ListIteratorOfDocEntryList & | It
| ) |

Standard_Boolean MDocStd_DocEntryList::IsEmpty | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString& MDocStd_DocEntryList::Last | ( |  | ) | const

void MDocStd_DocEntryList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDocStd_DocEntryList::operator new | ( | size_t | size | ) | `[inline]`

void* MDocStd_DocEntryList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void MDocStd_DocEntryList::operator= | ( | const MDocStd_DocEntryList & | Other | ) | `[inline]`

Standard_EXPORT void MDocStd_DocEntryList::Prepend | ( | MDocStd_DocEntryList & | Other | ) |

Standard_EXPORT void MDocStd_DocEntryList::Prepend | ( | const TCollection_AsciiString & | I,
|  | MDocStd_ListIteratorOfDocEntryList & | theIt
| ) |

Standard_EXPORT void MDocStd_DocEntryList::Prepend | ( | const TCollection_AsciiString & | I | ) |

Standard_EXPORT void MDocStd_DocEntryList::Remove | ( | MDocStd_ListIteratorOfDocEntryList & | It | ) |

Standard_EXPORT void MDocStd_DocEntryList::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address MDocStd_DocEntryList::myFirst `[private]`

Standard_Address MDocStd_DocEntryList::myLast `[private]`

The documentation for this class was generated from the following file:

- MDocStd_DocEntryList.hxx